summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-07-21 18:25:04 +0200
committerChristian Grothoff <christian@grothoff.org>2020-07-21 18:25:04 +0200
commitd9e871b5238f43392053e687e28381e2caaed163 (patch)
tree4dcb70c0d82ca6b2f1df1a78cd02af5a204b7b6a /contrib
parentd08ba9393ebb4d51b23611466daa1b7546b17257 (diff)
downloadexchange-d9e871b5238f43392053e687e28381e2caaed163.tar.gz
exchange-d9e871b5238f43392053e687e28381e2caaed163.tar.bz2
exchange-d9e871b5238f43392053e687e28381e2caaed163.zip
add helper script for updating GANA submodule
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/gana.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/contrib/gana.sh b/contrib/gana.sh
new file mode 100755
index 000000000..d430dec33
--- /dev/null
+++ b/contrib/gana.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Helper script to update to latest GANA
+# Run from exchange/ main directory; make sure you have
+# no uncommitted changes at the time of running the script.
+set -eu
+cd contrib/gana
+git pull origin master
+cd ../..
+git commit -a -S -m "synchronize with latest GANA"
+./bootstrap
+cd src/include
+make install
+cd ../..